Where can I get SharedUnixLibrary 1.07 from?

7 views
Skip to first unread message

John Bryan

unread,
Dec 20, 2020, 1:31:16 PM12/20/20
to
Having rebooted my Iyonix running RISCOS 5.28 I get a message saying:

this application requires the Shared Unix Library 1.06

OK I will try the RISCOS Open site to get the module

Clicking on the web browser button in Netfetch I get the message :

Netsurf requires Shared Unix Library 1.07 or later
use Configure App to update....

Help

--
John Bryan

John Williams (News)

unread,
Dec 20, 2020, 1:51:24 PM12/20/20
to
In article <fee1f0e...@jrb.5026.gmail.com>,
John Bryan <jrb....@gmail.com> wrote:

> Help

Inside the zip file your current copy of NetSurf came in was a skeleton
!Boot and a !System application which, when merged using the Configure Boot
and System options, provide the necessary bits for NetSurf to run.

If you didn't keep your original archive, and these bits have been wiped by
some unhappy circumstance from where thet were merged to, someone will have
to send you them, or you'll have to learn an alternative way of downloading
the appropriate archive using wget or curl or something!

Alternatively, you do have back-up, don't you?

John

Theo

unread,
Dec 20, 2020, 4:09:07 PM12/20/20
to
"John Williams (News)" <UCE...@tiscali.co.uk> wrote:
> If you didn't keep your original archive, and these bits have been wiped by
> some unhappy circumstance from where thet were merged to, someone will have
> to send you them, or you'll have to learn an alternative way of downloading
> the appropriate archive using wget or curl or something!

http://www.riscos.info/packages/arm/Develop/gcc/SharedUnixLibrary_1.16-1.zip
is the download link.

Although wget and curl probably also need SharedUnixLibrary to run.
Perhaps you have an old version of Browse or Fresco or ArcWeb or something
lying around that can download it?

(the above is an HTTP link so should work on an old browser)

Theo

Theo

unread,
Dec 20, 2020, 4:10:35 PM12/20/20
to

John Bryan

unread,
Dec 20, 2020, 5:14:07 PM12/20/20
to
In message <58e1f2af...@tiscali.co.uk>
"John Williams (News)" <UCE...@tiscali.co.uk> wrote:

Thankyou I shall investigate that.




--
John Bryan

John Bryan

unread,
Dec 20, 2020, 6:58:06 PM12/20/20
to
In message <Zjr*B9...@news.chiark.greenend.org.uk>
Thank you all for your prompt advice but I have managed down load the
library from the Netsurf web site on to my phone, then to a USB stick and
to my computer. Merged the system folder and all now running.

I have down loaded Netsurf 3.10 and archived as a precaution.
I must have deleted the last archive by mistake.

So thank you once again.

--
John Bryan
Reply all
Reply to author
Forward
0 new messages